﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace DataRefresh
{
    public class ChartSample : ContentPage
    {
        ObservableCollection<ChartDataPoint> datas;          
        DateTime date = DateTime.Now;
        Random random = new Random();

        public ChartSample()
        {
            StackLayout rootLayout = new StackLayout();

            SfChart chart = new SfChart();
            chart.VerticalOptions = LayoutOptions.FillAndExpand;

            Button button = new Button();
            button.Text = "Refresh";
            button.Clicked += Button_Clicked;

            datas = new ObservableCollection<ChartDataPoint>();
          
            DateTimeAxis xAxis = new DateTimeAxis();
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            chart.SecondaryAxis = yAxis;

            for (int i = 0; i < 10; i++)
            {                
                datas.Add(new ChartDataPoint(date, random.NextDouble()));
                date = date.AddDays(1);
            }

            ColumnSeries series = new ColumnSeries();
            series.ItemsSource = datas;
            series.EnableDataPointSelection = true;
            chart.Series.Add(series);

            rootLayout.Children.Add(chart);
            rootLayout.Children.Add(button);

            Content = rootLayout;
        }

        private void Button_Clicked(object sender, EventArgs e)
        {    
           datas.Clear();
           for (int i = 0; i < 10; i++)
            {
                datas.Add(new ChartDataPoint(date, random.NextDouble()));
                date = date.AddDays(1);
            }
        }
    }
}
